<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="#">Auth0 App</a>

    <div class="collapse navbar-collapse" id="navbarText">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item" routerLinkActive="active">
                <a class="nav-link" [routerLink]="['home']">Home</a>
            </li>

            <li class="nav-item" routerLinkActive="active">
                <a class="nav-link" routerLink='/price'>price</a>
            </li>

            <li *ngIf="auth.loggedIn" class="nav-item" routerLinkActive="active">
                <a class="nav-link" [routerLink]="['private']">private</a>
            </li>

        </ul>
        <span class="navbar-text">
        
            <button (click)="auth.login()" *ngIf="!auth.loggedIn" class="btn btn-outline-primary m-1">
                Ingresar
            </button>
            
            <button (click)="auth.logout()" *ngIf="auth.loggedIn" class="btn btn-outline-danger m-1">
                Salir
            </button>
      </span>
    </div>
</nav>